
import React from 'react';
import Icon from 'react-icon-base';

const SlStar = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M512 882.512l137.472 -285.088l312.608 -46.4639l-226.416 -225.84l7.61621 -45.3115l45.2803 -270.16l-276.608 148.784l-276.592 -148.848l45.2959 270.224l7.58398 45.3115l-226.336 225.872l312.592 46.4639l20.5439 42.5439zM511.983 944.448 c-28.6562 0 -54.7842 -16.1758 -66.9766 -41.4561l-115.904 -240.64l-266.704 -39.6641c-27.3916 -4.0957 -50.1436 -22.7998 -58.9756 -48.3838c-8.81641 -25.6641 -2.14453 -53.9043 17.1992 -73.1523l195.408 -195.2l-45.3281 -270.656 c-4.55957 -27.2803 7.23242 -54.624 30.3682 -70.5762c12.7197 -8.73633 27.6641 -13.1523 42.624 -13.1523c12.3203 0 24.6406 2.99219 35.793 8.97656l232.496 125.184l232.512 -125.184c11.1836 -5.98438 23.5039 -8.97656 35.7764 -8.97656 c14.96 0 29.9043 4.41602 42.6562 13.1523c23.1035 15.9521 34.9111 43.2959 30.3193 70.5762l-45.3438 270.656l195.504 195.2c19.3438 19.248 25.9678 47.5039 17.1514 73.1523c-8.84766 25.6162 -31.5996 44.3203 -58.9756 48.3848l-266.656 39.6641l-115.968 240.64 c-12.1123 25.3115 -38.2559 41.4551 -66.976 41.4551z"/></g>
    </Icon>
);

export default SlStar;
